### Virtual Method

# RB RhythmDBQueryResults set_query

#### Declaration [src]

    void
    set_query (
      RhythmDBQueryResults* results,
      GPtrArray* query
    )

#### Description [src]

When a new query is run, this method is invoked to give the object implementing this interface a chance to take a copy of the query criteria, so that it can evaluate the query for newly added or changed entries once the query is complete.

#### Parameters

`query`

  Type: An array of `gpointer`

  The new query.

  The data is owned by the caller of the method.